Sign in

Create Provider Setting

POST https://{organization}.myguper.com/api/sender/provider-settings

Stores the credentials/settings of a messaging provider (SMTP, Twilio SMS/WhatsApp, etc.) for the organization. The provider field is the numeric id of an entry in provider_source and the data block is provider-specific (see examples).

For webhook-based external providers use the dedicated External provider · Create endpoint instead.

Try-it values populated from environment ACME (Demo)


Authentication

Token

Send your user token in the x-guper-authorization header.

Headers

Name Type Description
x-guper-authorization * string User token issued by Guper.
Content-Type * string Always `application/json` for endpoints that accept a JSON body.

Request body

Content-Type: application/json

{
    "provider": 3,
    "data": {
        "host": "smtp.example.com",
        "port": "465",
        "username": "sender@example.com",
        "password": "********",
        "encryption": "ssl",
        "fromEmail": "no-reply@example.com",
        "fromName": "Loja XYZ"
    }
}

Responses

{
    "id": 12,
    "provider": 3,
    "data": {
        "host": "smtp.example.com",
        "port": "465",
        "username": "sender@example.com",
        "encryption": "ssl",
        "fromEmail": "no-reply@example.com",
        "fromName": "Loja XYZ"
    }
}

Related

Copied to clipboard